TIME(3)

NAME
time - get current calendar time (as single number)

SYNOPSIS

#include <time.h>

time_t time(time_t *t);

DESCRIPTION

time looks up the best available representation of the current time and returns it, encoded as a time_t. It stores the same value at t unless the argument is NULL.

RETURNS

A -1 result means the current time is not available; otherwise the result represents the current time.

PORTABILITY

ANSI C requires time.

Supporting OS subroutine required: Some implementations require gettimeofday.